Skip to main content
`Ctrl`+`K`

# Info

class astropy.io.votable.tree.Info(ID=None, name=None, value=None, id=None, xtype=None, ref=None, unit=None, ucd=None, utype=None, config=None, pos=None, **extra)

  Bases: `SimpleElementWithContent`, `_IDProperty`, `_XtypeProperty`, `_UtypeProperty`

  INFO elements: arbitrary key-value pairs for extensions to the standard.

  The keyword arguments correspond to setting members of the same name, documented below.

  Attributes Summary

  `content` | The content inside the INFO element.
  `name` | [required] The key of the key-value pair.
  `ref` | Refer to another INFO element by ID, defined previously in the document.
  `unit` | A string specifying the units for the INFO.
  `value` | [required] The value of the key-value pair.

  Methods Summary

  `to_xml`(w, **kwargs) | For internal use.

  Attributes Documentation

  content

    The content inside the INFO element.

  name

    [required] The key of the key-value pair.

  ref

    Refer to another INFO element by ID, defined previously in the document.

  unit

    A string specifying the units for the INFO.

  value

    [required] The value of the key-value pair. (Always stored as a string or unicode string).

  Methods Documentation

  to_xml(w, **kwargs)

    For internal use. Output the element to XML.

    Parameters:
      w `astropy.utils.xml.writer.XMLWriter` `object`

        An XML writer to write to.

      **kwargs `python:dict`

        Any configuration parameters to control the output.